Hammer CLI - Bug #3954

Info commands must always use IDs instead of names in api calls
01/07/2014 09:33 AM - Toma$ Strachota

Status: Closed

Priority: Normal

Assignee: Tomas Strachota

Category: Hammer core

Target version: 1.9.2

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: In Kanboard:

Pull request: Red Hat JIRA:
Team Backlog:

Description

Info commands allow to search resources by both --id and --name. API currently allows to search by either of them, which does not
always work as expected. See #3876 for details.
When the --name is passed we need to perform search by name first and then use the found ID in the api show call.

Related issues:
Related to Foreman - Bug #3876: API find_resource by name finds by ID instead... Closed 12/13/2013

Associated revisions

Revision 5dce1255 - 01/28/2014 01:18 PM - Tomas Strachota

Fixes #3954 - translate names to ids

Revision 62845e9a - 01/28/2014 01:39 PM - Tomas Strachota

Fixes #3954 - translate names to ids

Revision 35c206ff - 01/28/2014 02:09 PM - Martin Bacovsky
Merge pull request #75 from tstrachota/3954._ids

Fixes #3954 - translate names to ids

Revision 41b694a7 - 01/28/2014 02:27 PM - mbacovsky
Merge pull request #77 from tstrachota/3954_ids

Fixes #3954 - translate names to ids

History

#1 - 01/07/2014 09:37 AM - Tomas Strachota

- Subject changed from Info commands must always use IDs insteda of names in api calls to Info commands must always use IDs instead of names in
api calls

#2 - 01/10/2014 10:01 AM - Tomas Strachota
- Related to Bug #3876: API find_resource by name finds by ID instead when first character of name is a digit added

#3 - 01/10/2014 10:02 AM - Tomas Strachota
- Status changed from New to Assigned
- Assignee set to Tomas Strachota

- Target version set to 1.9.2

#4 - 01/15/2014 11:47 AM - Tomas Strachota

Waiting for http:/projects.theforeman.org/issues/3897 as it will be much easier to fix with. I've got the fix ready in a branch, will create a PR once the
mentioned issue gets merged.
http://projects.theforeman.org/issues/3897

#5 - 01/28/2014 10:55 AM - Tomas Strachota
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/hammer-cli/pull/75
https://github.com/theforeman/hammer-cli-foreman/pull/77

#6 - 01/28/2014 02:38 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset foreman:hammer-clijicommit:62845e9a20cc942d01f64be52b59b4227340fa04.
